cURL
curl --request GET \ --url https://audit.cpln.io/audit/org/{org} \ --header 'Authorization: <api-key>'
{ "kind": "queryresult", "itemKind": "auditevent", "items": [ { "resource": { "id": "dfedd8b9-7737-498a-883f-0162510c0d68", "name": "my-workload", "type": "workload", "data": { "foo": "bar" } }, "id": "7f2195ac-e003-42a3-8324-d4bb1f11d10e", "eventTime": "2021-01-02T13:01:02.345Z", "postedTime": "2021-01-02T13:01:03.123Z", "receivedTime": "2021-01-02T13:01:03.159Z", "requestId": "d4e26a95-1988-4bf5-94fb-40d605cce0e9", "context": { "org": "myorg", "name": "audit-context-1", "remoteIp": "1.2.3.4", "eventSource": "system", "location": "aws-us-west-2", "gvcAlias": "gm0b1e3a1vxjj", "podId": "workload-00016-deployment-54b5b8f94f-jqkcn", "data": {} }, "subject": { "email": "bob@company.com", "name": "Bob Johnson", "claims": {}, "data": {} }, "action": { "type": "delete", "data": {} }, "result": { "status": "OK", "message": "Object created successfully" } } ], "query": { "param1": "value1", "param2": "value2" }, "links": [ { "rel": "self", "href": "/audit/org/myorg/id/e40f6816-574a-4150-a089-8bea6b4b588b" } ] }
Documentation IndexFetch the complete documentation index at: https://docs.controlplane.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.controlplane.com/llms.txt
Use this file to discover all available pages before exploring further.
Service account key can be used as API keys
The audit event was accepted and forwarded to the system, an internal message ID is returned.
"queryresult"
"auditevent"
Show child attributes
{ "param1": "value1", "param2": "value2" }